import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { BusinessObject } from '@colijnit/ioneconnector/build/model/business-object';
export declare class UserFormInputScaleComponent implements OnInit {
    changeDetector: ChangeDetectorRef;
    label: string;
    readonly: boolean;
    required: boolean;
    disabled: boolean;
    scaleModel: string[] | BusinessObject[];
    idField: string;
    descriptionField: string;
    selected: string | BusinessObject;
    readonly selectionChange: EventEmitter<string | BusinessObject>;
    firstItem: string;
    lastItem: string;
    showClass(): boolean;
    constructor(changeDetector: ChangeDetectorRef);
    ngOnInit(): void;
    getModelItem(item: string | BusinessObject): string | BusinessObject;
    getTitle(modelItem: any): string;
    handleRadioButtonClick(active: boolean, item: string | BusinessObject): void;
    private _emitSelectionChange;
}
